-- Line numbers
vim.opt.number = true
vim.opt.relativenumber = true

-- Cursor
vim.opt.cursorline = true
vim.opt.colorcolumn = "80"

-- "I like good colors!"
-- https://youtube.com/watch?v=w7i4amO_zaE&t=1438
vim.opt.termguicolors = true

-- Don't wrap the lines
vim.opt.wrap = false

-- Make sure to have at least 8 line above/below the cursor
vim.opt.scrolloff = 8

-- Disable swapfile and backup but enable undofile
-- https://github.com/ThePrimeagen/init.lua/blob/ba51e03a/lua/theprimeagen/set.lua#L15
vim.opt.swapfile = false
vim.opt.backup = false
vim.opt.undodir = os.getenv("HOME") .. "/.cache/nvim/undodir"
os.execute("mkdir -p " .. vim.api.nvim_get_option("undodir"))
vim.opt.undofile = true

-- Indenting stuff
-- https://github.com/ThePrimeagen/init.lua/blob/ba51e03a/lua/theprimeagen/set.lua#L6
vim.opt.tabstop = 4
vim.opt.softtabstop = 4
vim.opt.shiftwidth = 4
vim.opt.expandtab = true
vim.opt.smartindent = true
